summaryrefslogtreecommitdiffstats
path: root/intl/patch-icu.sh
diff options
context:
space:
mode:
authorwolfbeast <mcwerewolf@wolfbeast.com>2019-06-15 20:39:39 +0200
committerwolfbeast <mcwerewolf@wolfbeast.com>2019-06-15 20:39:39 +0200
commit76c640c28a161ff725b2a1607a01f59157f627b1 (patch)
tree77f23343c7dfc409094ce719679126aab5054531 /intl/patch-icu.sh
parentc9edf588ed6d9b53038125c6d79c466b398e2da4 (diff)
downloadUXP-76c640c28a161ff725b2a1607a01f59157f627b1.tar
UXP-76c640c28a161ff725b2a1607a01f59157f627b1.tar.gz
UXP-76c640c28a161ff725b2a1607a01f59157f627b1.tar.lz
UXP-76c640c28a161ff725b2a1607a01f59157f627b1.tar.xz
UXP-76c640c28a161ff725b2a1607a01f59157f627b1.zip
Update ICU to 58.3
- This adds the new Japanese ascension era (Reiwa) - This updates timezone data to 2019a - Updated script for git instead of SVN - Regenerated locale data
Diffstat (limited to 'intl/patch-icu.sh')
-rw-r--r--intl/patch-icu.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/intl/patch-icu.sh b/intl/patch-icu.sh
new file mode 100644
index 000000000..b96bc1831
--- /dev/null
+++ b/intl/patch-icu.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+# This Source Code Form is subject to the terms of the Mozilla Public
+# License, v. 2.0. If a copy of the MPL was not distributed with this
+# file, You can obtain one at http://mozilla.org/MPL/2.0/.
+
+set -e
+
+# Ensure that $Date$ in the checked-out git files expands timezone-agnostically,
+# so that this script's behavior is consistent when run from any time zone.
+export TZ=UTC
+
+# Also ensure GIT-INFO is consistently English.
+export LANG=en_US.UTF-8
+export LANGUAGE=en_US
+export LC_ALL=en_US.UTF-8
+
+icu_dir=`dirname $0`/icu
+
+for patch in \
+ bug-915735 \
+ suppress-warnings.diff \
+ bug-1172609-timezone-recreateDefault.diff \
+ bug-1198952-workaround-make-3.82-bug.diff \
+ bug-1228227-bug-1263325-libc++-gcc_hidden.diff \
+ ucol_getKeywordValuesForLocale-ulist_resetList.diff \
+; do
+ echo "Applying local patch $patch"
+ patch -d ${icu_dir}/../../ -p1 --no-backup-if-mismatch < ${icu_dir}/../icu-patches/$patch
+done
+